<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Kurs akcji z NASDAQ</title>
</head>
<body>

<?php
  //wybór symbolu akcji
  $symbol='GOOG';
  echo '<h1>Kurs akcji o symbolu '.$symbol.'</h1>';

  $url = 'http://download.finance.yahoo.com/d/quotes.csv' .
     '?s='.$symbol.'&e=.csv&f=sl1d1t1c1ohgv';

  if(!($zawartosc = file_get_contents($url))) {
    die('Otwarcie URL '.$url.' niemożliwe');
  }

  //odnalezienie właściwych danych
  list($symbol, $kurs, $data, $godzina) = explode(',', $zawartosc);
  $data = trim($data, '"');
  $godzina = trim($godzina, '"');

  echo '<p>Ostatni kurs akcji '.$symbol.': '.$kurs.'</p>';
  echo '<p>Kurs na dzień '.$data.', z godziny '.$godzina.'</p>';

  //powiadomienie o źródle
  echo '<p>Ta informacja została uzyskana z <br />'
       .'<a href="'.$url.'">'.$url.'</a></p>';
?>
</body>
</html>
